import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service, Characteristic } from 'homebridge';
import { Service as BonjourService } from 'bonjour-service';
import { EnergySocketAccessoryProperties, HomeWizardEnergyPlatformAccessoryContext, TxtRecord } from './api/types';
import { HomeWizardApi } from './api';
import { HomebridgeHomeWizardEnergySocketsConfig } from './types';
export declare class HomebridgeHomeWizardEnergySocket implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    cachedAccessories: PlatformAccessory<HomeWizardEnergyPlatformAccessoryContext>[];
    private config;
    private bonjour;
    private loggerPrefix;
    constructor(log: Logger, config: PlatformConfig, api: API);
    configureAccessory(accessory: PlatformAccessory<HomeWizardEnergyPlatformAccessoryContext>): void;
    isStaleCachedAccessory(cachedAccessory: PlatformAccessory<HomeWizardEnergyPlatformAccessoryContext>, energySocketsConfig: HomebridgeHomeWizardEnergySocketsConfig['energySockets']): boolean;
    stopDiscoveringDevices(): void;
    startDiscoveringDevices(): void;
    isDeviceApiEnabled(txtRecord: TxtRecord): boolean;
    isDeviceProductTypeSupported(txtRecord: TxtRecord): boolean;
    handleDiscoveredService(service: BonjourService): Promise<void>;
    handleEnergySocketsFromConfig(): Promise<void>;
    addAccessory(energySocketProperties: EnergySocketAccessoryProperties, api: HomeWizardApi): void;
    attachAccessoryToPlatform(accessory: PlatformAccessory<HomeWizardEnergyPlatformAccessoryContext>, api: HomeWizardApi): void;
    getEnergySocketPropertiesFromIp(ip: string, configName?: string): Promise<{
        energySocketProperties: EnergySocketAccessoryProperties;
        api: HomeWizardApi;
    }>;
    getEnergySocketPropertiesFromService(service: BonjourService): Promise<{
        energySocketProperties: EnergySocketAccessoryProperties;
        api: HomeWizardApi;
    }>;
}
//# sourceMappingURL=platform.d.ts.map